Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-28451

Debian/Ubuntu conflicts/breaks making 10.9 uninstallable

    XMLWordPrintable

Details

    Description

      Example install:

      10.9 jammy - from https://buildbot.mariadb.org/#/builders/311/builds/8788

      + buildah bud --layers --arch amd64 --build-arg 'REPOSITORY=[trusted=yes] https://ci.mariadb.org/24625/amd64-ubuntu-2204-deb-autobake/debs ./' --build-arg MARIADB_VERSION=1:10.9.0+maria~jammy --annotation 'org.opencontainers.image.authors=MariaDB Foundation' --annotation org.opencontainers.image.documentation=https://hub.docker.com/_/mariadb --annotation org.opencontainers.image.source=https://github.com/MariaDB/mariadb-docker/tree/942cd5347b86c84cc4d493147b17c3e3b93fbee3/10.9 --annotation org.opencontainers.image.licenses=GPL-2.0 --annotation 'org.opencontainers.image.title=MariaDB Server 10.9 CI build' --annotation 'org.opencontainers.image.description=This is not a Release.\nBuild of the MariaDB Server from CI as of commit 51b28b24ca3a33a3a9b2a844c6c8a94df1bad253' --annotation org.opencontainers.image.version=10.9.0+51b28b24ca3a33a3a9b2a844c6c8a94df1bad253 --annotation org.opencontainers.image.revision=51b28b24ca3a33a3a9b2a844c6c8a94df1bad253 mariadb-docker/10.9
      STEP 1/20: FROM ubuntu:jammy
      Resolved "ubuntu" as an alias (/etc/containers/registries.conf.d/000-shortnames.conf)
      Trying to pull docker.io/library/ubuntu:jammy...
      Getting image source signatures
      Copying blob sha256:125a6e411906fe6b0aaa50fc9d600bf6ff9bb11a8651727ce1ed482dc271c24c
      Copying config sha256:d2e4e1f511320dfb2d0baff2468fcf0526998b73fe10c8890b4684bb7ef8290f
      Writing manifest to image destination
      Storing signatures
      STEP 2/20: RUN groupadd -r mysql && useradd -r -g mysql mysql
      --> Using cache fbe9adfd8e6e957db729473b441dd7e006b27a489dca9491d7662e8fbc035d4d
      --> fbe9adfd8e6
      STEP 3/20: RUN set -ex; 	apt-get update; 	if ! which gpg; then 		apt-get install -y --no-install-recommends gnupg; 	fi; 	if ! gpg --version | grep -q '^gpg (GnuPG) 1\.'; then 		apt-get install -y --no-install-recommends dirmngr; 	fi; 	rm -rf /var/lib/apt/lists/*
      --> Using cache caa1d74523f3fcba16f80252718a145fc9aee9df4e861ff83c5238779c09ef6f
      --> caa1d74523f
      STEP 4/20: ENV GOSU_VERSION 1.14
      --> Using cache 8ca59ba3422c91fb028398853da0b6d42b8789eb7c1f519b4619120339f89ea7
      --> 8ca59ba3422
      STEP 5/20: RUN set -eux; 	apt-get update; 	DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends ca-certificates; 	savedAptMark="$(apt-mark showmanual)"; 	apt-get install -y --no-install-recommends wget; 	rm -rf /var/lib/apt/lists/*; 	dpkgArch="$(dpkg --print-architecture | awk -F- '{ print $NF }')"; 	wget -O /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$dpkgArch"; 	wget -O /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$dpkgArch.asc"; 	export GNUPGHOME="$(mktemp -d)"; 	gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; 	gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; 	gpgconf --kill all; 	rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; 	apt-mark auto '.*' > /dev/null; 	[ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; 	apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; 	chmod +x /usr/local/bin/gosu; 	gosu --version; 	gosu nobody true
      --> Using cache 748cb00f79a2f3cd7b03dc7e428049826018e484e1a40365a331f00de576bf9c
      --> 748cb00f79a
      STEP 6/20: RUN mkdir /docker-entrypoint-initdb.d
      --> Using cache 654058cbc3eabb78c1bc8502151e189d0ba1495c309edc2b1d5825395e67a53e
      --> 654058cbc3e
      STEP 7/20: RUN set -ex; 	apt-get update; 	DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends 		libjemalloc2 		pwgen 		tzdata 		xz-utils 		zstd 	; 	rm -rf /var/lib/apt/lists/*
      --> Using cache 14a18e05cf2f45129a9339b94fe52081b4cbed429bc3669f19fc7e2d8dab9756
      --> 14a18e05cf2
      STEP 8/20: ARG GPG_KEYS=177F4010FE56CA3336300305F1656F24C74CD1D8
      --> Using cache 2b7a13dd19b4115b981255b7bdaaf1dd35e0301ef950c9ff8d37093a0e535dde
      --> 2b7a13dd19b
      STEP 9/20: RUN set -ex; 	export GNUPGHOME="$(mktemp -d)"; 	for key in $GPG_KEYS; do 		gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; 	done; 	gpg --batch --export $GPG_KEYS > /etc/apt/trusted.gpg.d/mariadb.gpg; 	command -v gpgconf > /dev/null && gpgconf --kill all || :; 	rm -fr "$GNUPGHOME"; 	apt-key list
      --> Using cache 14ced7861581ce966d82f5f27fad24153c8ebcdea12866b4f58052d726fa74a2
      --> 14ced786158
      STEP 10/20: ARG MARIADB_VERSION=1:10.9.0+maria~jammy
      --> a67f5101516
      STEP 11/20: ENV MARIADB_VERSION $MARIADB_VERSION
      --> 45e48eb6a74
      STEP 12/20: ARG REPOSITORY="http://archive.mariadb.org/mariadb-10.9.0/repo/ubuntu/ jammy main"
      --> e61bc10d47e
      STEP 13/20: RUN set -e;	echo "deb ${REPOSITORY}" > /etc/apt/sources.list.d/mariadb.list; 	{ 		echo 'Package: *'; 		echo 'Pin: release o=MariaDB'; 		echo 'Pin-Priority: 999'; 	} > /etc/apt/preferences.d/mariadb
      --> 096c19b17be
      STEP 14/20: RUN set -ex; 	{ 		echo "mariadb-server" mysql-server/root_password password 'unused'; 		echo "mariadb-server" mysql-server/root_password_again password 'unused'; 	} | debconf-set-selections; 	apt-get update; 	apt-get install -y 		"mariadb-server=$MARIADB_VERSION" 		mariadb-backup 		socat 	; 	rm -rf /var/lib/apt/lists/*; 	rm -rf /var/lib/mysql; 	mkdir -p /var/lib/mysql /var/run/mysqld; 	chown -R mysql:mysql /var/lib/mysql /var/run/mysqld; 	chmod 777 /var/run/mysqld; 	find /etc/mysql/ -name '*.cnf' -print0 		| xargs -0 grep -lZE '^(bind-address|log|user\s)' 		| xargs -rt -0 sed -Ei 's/^(bind-address|log|user\s)/#&/'; 	if [ ! -L /etc/mysql/my.cnf ]; then sed -i -e '/includedir/i[mariadb]\nskip-host-cache\nskip-name-resolve\n' /etc/mysql/my.cnf; 	else sed -i -e '/includedir/ {N;s/\(.*\)\n\(.*\)/[mariadbd]\nskip-host-cache\nskip-name-resolve\n\n\2\n\1/}'                 /etc/mysql/mariadb.cnf; fi
      + echo mariadb-server mysql-server/root_password password+  unused
      + echo mariadb-server mysql-server/root_password_again password unused
      debconf-set-selections
      + apt-get update
      Get:1 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
      Get:2 http://archive.ubuntu.com/ubuntu jammy InRelease [270 kB]
      Ign:3 https://ci.mariadb.org/24625/amd64-ubuntu-2204-deb-autobake/debs ./ InRelease
      Ign:4 https://ci.mariadb.org/24625/amd64-ubuntu-2204-deb-autobake/debs ./ Release
      Get:5 https://ci.mariadb.org/24625/amd64-ubuntu-2204-deb-autobake/debs ./ Packages [15.9 kB]
      Get:6 http://security.ubuntu.com/ubuntu jammy-security/main amd64 Packages [66.2 kB]
      Get:7 http://security.ubuntu.com/ubuntu jammy-security/restricted amd64 Packages [61.3 kB]
      Get:8 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 Packages [13.7 kB]
      Get:9 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [109 kB]
      Get:10 http://archive.ubuntu.com/ubuntu jammy-backports InRelease [90.7 kB]
      Get:11 http://archive.ubuntu.com/ubuntu jammy/restricted amd64 Packages [164 kB]
      Get:12 http://archive.ubuntu.com/ubuntu jammy/main amd64 Packages [1792 kB]
      Get:13 http://archive.ubuntu.com/ubuntu jammy/multiverse amd64 Packages [266 kB]
      Get:14 http://archive.ubuntu.com/ubuntu jammy/universe amd64 Packages [17.5 MB]
      Get:15 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages [72.0 kB]
      Get:16 http://archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 Packages [61.3 kB]
      Get:17 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [20.3 kB]
      Fetched 20.6 MB in 3s (6862 kB/s)
      Reading package lists...
      + apt-get install -y mariadb-server=1:10.9.0+maria~jammy mariadb-backup socat
      Reading package lists...
      Building dependency tree...
      Reading state information...
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:
      The following packages have unmet dependencies:
       mariadb-backup : Depends: mariadb-client-core (= 1:10.9.0+maria~jammy) but it is not installable
       mariadb-client : Depends: mariadb-client-core (>= 1:10.9.0+maria~jammy) but it is not installable
                        Breaks: mariadb-server-10.9
       mariadb-server-core : Breaks: mariadb-client-10.9
                             Breaks: mariadb-server-10.9
      E: Unable to correct problems, you have held broken packages.
      error building at STEP "RUN set -ex; 	{ 		echo "mariadb-server" mysql-server/root_password password 'unused'; 		echo "mariadb-server" mysql-server/root_password_again password 'unused'; 	} | debconf-set-selections; 	apt-get update; 	apt-get install -y 		"mariadb-server=$MARIADB_VERSION" 		mariadb-backup 		socat 	; 	rm -rf /var/lib/apt/lists/*; 	rm -rf /var/lib/mysql; 	mkdir -p /var/lib/mysql /var/run/mysqld; 	chown -R mysql:mysql /var/lib/mysql /var/run/mysqld; 	chmod 777 /var/run/mysqld; 	find /etc/mysql/ -name '*.cnf' -print0 		| xargs -0 grep -lZE '^(bind-address|log|user\s)' 		| xargs -rt -0 sed -Ei 's/^(bind-address|log|user\s)/#&/'; 	if [ ! -L /etc/mysql/my.cnf ]; then sed -i -e '/includedir/i[mariadb]\nskip-host-cache\nskip-name-resolve\n' /etc/mysql/my.cnf; 	else sed -i -e '/includedir/ {N;s/\(.*\)\n\(.*\)/[mariadbd]\nskip-host-cache\nskip-name-resolve\n\n\2\n\1/}'                 /etc/mysql/mariadb.cnf; fi": error while running runtime: exit status 100
      time="2022-05-02T06:00:44+02:00" level=error msg="exit status 100"
      

      Tested locally and its just the mariadb-server that can trigger this:

      root@97dbef01cb9d:/# apt-get install -y                 "mariadb-server=$MARIADB_VERSION"                                  
      Reading package lists... Done
      Building dependency tree... Done
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:
       
      The following packages have unmet dependencies:
       mariadb-client : Depends: mariadb-client-core (>= 1:10.9.0+maria~jammy) but it is not installable
                        Breaks: mariadb-server-10.9
       mariadb-server-core : Breaks: mariadb-client-10.9
                             Breaks: mariadb-server-10.9
      E: Unable to correct problems, you have held broken packages.
      

      $ podman run --rm -ti ubuntu:22.04 bash
      root@4cb7e628c1b3:/# apt-get update
      root@4cb7e628c1b3:/# apt-get install ca-certificates
      root@4cb7e628c1b3:/# REPOSITORY='[trusted=yes] https://ci.mariadb.org/24625/amd64-ubuntu-2204-deb-autobake/debs ./'
      root@4cb7e628c1b3:/#    echo "deb ${REPOSITORY}" > /etc/apt/sources.list.d/mariadb.list 
      root@4cb7e628c1b3:/# apt-get update
      root@4cb7e628c1b3:/# apt-get install mariadb-server=1:10.9.0+maria~jammy 
      Reading package lists... Done
      Building dependency tree... Done
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:
       
      The following packages have unmet dependencies:
       mariadb-client : Depends: mariadb-client-core (>= 1:10.9.0+maria~jammy) but it is not installable
                        Breaks: mariadb-server-10.9
       mariadb-server-core : Breaks: mariadb-client-10.9
                             Breaks: mariadb-server-10.9
      E: Unable to correct problems, you have held broken packages.
      

      Attachments

        Issue Links

          Activity

            People

              marko Marko Mäkelä
              danblack Daniel Black
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Git Integration

                  Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.